aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild14
1 files changed, 4 insertions, 10 deletions
diff --git a/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild b/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
index a69acf5..182f3de 100644
--- a/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
+++ b/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
@@ -23,15 +23,9 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
-src_prepare() {
- # strip rdep specific to namespaces
- sed -i -e "/'setuptools'/d" setup.py || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- distutils-r1_python_compile
- find "${BUILD_DIR}" -name '*.pth' -delete || die
+python_test() {
+ zope-testrunner -pvcD --usecompiled \
+ --path="${BUILD_DIR}/install$(python_get_sitedir)/" || die
}